$(function () {
    var letters = 0;
    
    $(".word").click(function(){
	if ($(this).data('value') === 0){
	    var id=$(this).attr('id');
	    $('#'+id+' .skr').css('display', 'block');
	    $('#'+id+' input').css('display', 'block');
	} else{
	    $('#jplayer_wrong').jPlayer('play');
	}
    });
    
    $(".letterinput").val('');

    $(".letterinput").keyup(function () {

	var str = $(this).val().toLowerCase().trim();
	var maxlength = parseInt($(this).attr('maxlength'));
	var id = $(this).attr('id');

	if (str === $(this).data('value')) {

	    $('#jplayer_well').jPlayer('play');
	    $(this).prop('disabled', true).css({'border-color': '#3F931B', 'color': '#3F931B'});
	    letters++;
	    if (letters === 9){
		$('.assignment_description').text('Ułóż wyrazy w kolejności alfabetycznej');
				$('.wyrazy').animate({
		    left: -300
		}, 1000);
		$('.alfabetycznie').animate({
		    left: 86
		}, 1000);
	    }
	} else if (str.length === maxlength) {

	    $('#jplayer_wrong').jPlayer('play');
	    setTimeout(function () {
		$('#' + id).val('');
	    }, 600);

	}

    });

});